import { jsx } from "react/jsx-runtime";
import { HexagonIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Hexagon = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Hexagon", ...props, children: /* @__PURE__ */ jsx(HexagonIcon, { weight: variant }) });
  }
);
Hexagon.displayName = "Hexagon";
Object.assign(Hexagon, { isGdsIcon: true });
export {
  Hexagon
};
